# Interface FeatureHashOptions

interface FeatureHashOptions {
accuracy: number;
defaultValues: {};
encodeStyles: boolean;
properties: ((arg0) => {});
propertiesType: {};
setStyle: boolean;
}

- Defined in src/format/FeatureHash.js:45

#####
Index

### Properties

accuracy
defaultValues
encodeStyles
properties
propertiesType
setStyle

## Properties

### accuracy

accuracy: number

The encoding and decoding accuracy. Optional. Default value is 1.

- Defined in src/format/FeatureHash.js:46

### defaultValues

defaultValues: {}

defaultValues.

#### Type declaration

- Defined in src/format/FeatureHash.js:47

### encodeStyles

encodeStyles: boolean

Encode styles. Optional.

- Defined in src/format/FeatureHash.js:48

### properties

properties: ((arg0) => {})

A function that returns serializable properties for a feature. Optional. By default the feature properties (as returned by `feature.getProperties()`) are used. To be serializable the returned properties should be numbers or strings.

#### Type declaration

- - (arg0): {}

  - #### Parameters

    - arg0: Feature<Geometry>

    #### Returns {}

- Defined in src/format/FeatureHash.js:49

### propertiesType

propertiesType: {}

#### Type declaration

- Defined in src/format/FeatureHash.js:58

### setStyle

setStyle: boolean

Determines whether the style defined for each feature is read and converted into: A) an `ol.style.Style` object set in the feature, or B) an object with key:values that defines the style properties set in the feature and for the `ngeo.misc.FeatureHelper` to use to style the feature with.

- Defined in src/format/FeatureHash.js:53

Generated using TypeDoc